Qwt User's Guide: QwtTradingChartData Class Reference

Qwt User's Guide 6.2.0

Public Member Functions | List of all members
QwtTradingChartData Class Reference

`#include <qwt_series_data.h>`

Inheritance diagram for QwtTradingChartData:

## Public Member Functions
| QwtTradingChartData (const QVector< QwtOHLCSample > &=QVector< QwtOHLCSample >())
virtual QRectF | boundingRect () const override
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QwtOHLCSample >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QwtOHLCSample > &samples)
void | setSamples (const QVector< QwtOHLCSample > &samples)
const QVector< QwtOHLCSample > | samples () const
virtual size_t | size () const override
virtual QwtOHLCSample | sample (size_t index) const override
Public Member Functions inherited from QwtSeriesData< T >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtArraySeriesData< QwtOHLCSample >
QVector< QwtOHLCSample > | m_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< T >
QRectF | cachedBoundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

Interface for iterating over an array of OHLC samples

Definition at line 261 of file qwt_series_data.h.

## Constructor & Destructor Documentation

## ◆ QwtTradingChartData()

QwtTradingChartData::QwtTradingChartData | ( | const QVector< QwtOHLCSample > & | samples = `QVector< QwtOHLCSample >( )` | ) |

Constructor

Parameters

  samples | Samples

Definition at line 378 of file qwt_series_data.cpp.

## Member Function Documentation

## ◆ boundingRect()

QRectF QwtTradingChartData::boundingRect | ( |  | ) | const
| overridevirtual

Calculate the bounding rectangle.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
  Bounding rectangle

Implements QwtSeriesData< T >.

Definition at line 391 of file qwt_series_data.cpp.